Digital I/O

cancel
Showing results for 
Search instead for 
Did you mean: 

ubuntu 22.04.2 support for NI-DAQMX with nidaqmx on python3

Solved!
Go to solution

Trying to use USB-6003 on ubuntu 22.04.2

1. install ni-daqmx using apt - reboot the OS

2. install midaqmx library for python using pip

3. make sure device is connected with dmesg command

 

sudo dmesg:

 

 

[ 1222.042703] usb 1-1.3.4: new full-speed USB device number 15 using ehci-pci
[ 1222.156832] usb 1-1.3.4: New USB device found, idVendor=3923, idProduct=76c6, bcdDevice= 1.00
[ 1222.156865] usb 1-1.3.4: New USB device strings: Mfr=1, Product=2, SerialNumber=3
[ 1222.156883] usb 1-1.3.4: Product: USB-6003
[ 1222.156896] usb 1-1.3.4: Manufacturer: National Instruments
[ 1222.156910] usb 1-1.3.4: SerialNumber: XXXXXXXX

 

 

 sudo apt -s install ni-daqmx

 

 

Reading package lists... Done
Building dependency tree... Done
Reading state information... Done
ni-daqmx is already the newest version (23.5.0.49389-0+f237).
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.

 

 

 

yet the device is not found

 

 

Python 3.10.6 (main, May 29 2023, 11:10:38) [GCC 11.3.0] on linux
Type "help", "copyright", "credits" or "license" for more information.
>>> import nidaqmx
>>> system = nidaqmx.system.System.local()
>>> connected_devices = system.devices
>>> print(connected_devices.device_names)
[]
>>>

 

 

 

0 Kudos
Message 1 of 6
(842 Views)
Solution
Accepted by KfearNI

USB-6003 is not supported on Linux Desktop. From NI Hardware and Software Operating System Compatibility:

ZYOng_0-1689893701573.png

 

 

0 Kudos
Message 2 of 6
(825 Views)

thank you for your reply,

 

I was aware of the page you mentioned. 

this is what confused me

https://knowledge.ni.com/KnowledgeArticleDetails?id=kA00Z0000019NhFSAU

 

KfearNI_0-1689928911845.png

KfearNI_1-1689929004108.png

 

 

 

 

0 Kudos
Message 3 of 6
(795 Views)

@KfearNI wrote:

thank you for your reply,

 

I was aware of the page you mentioned. 

this is what confused me

https://knowledge.ni.com/KnowledgeArticleDetails?id=kA00Z0000019NhFSAU

 

KfearNI_0-1689928911845.png

KfearNI_1-1689929004108.png

 

 

 

 


And the followed sentence states that

ZYOng_0-1689942949738.png

 

To my knowledge, the only supported USB devices are USB cDAQ-917x.

 

0 Kudos
Message 4 of 6
(774 Views)

 

https://www.ni.com/en-il/shop/model/cdaq-9171.html is a chassis only.

making the solution much more expensive.

I'm new to NI devices. never thinking devices as such does not support Linux.

 

thanks again.

0 Kudos
Message 5 of 6
(729 Views)

Hi, We have ubuntu 18.04 and arm64 processor in  it. We have ni daq 9232, can you tell me whether we can work on that hardware using python. Means we are not getting the correct drivers and not getting whole installation. Means some packages are showing that NI package doesn't support arm64 architecture. We have another system with 20.04 and amd64 processor and installation of ni-daqmx seemed installed on it. But while running a python program it came with error saying libnalk.so or something is not installed. verify or something. Please help me with this topic

0 Kudos
Message 6 of 6
(93 Views)